MATRIXGL(1)

NAME
matrixgl - 3D matrix screensaver

SYNOPSIS
matrixgl [-CcFfhlsv]

DESCRIPTION
Matrixgl is a 3D matrix screensaver based on The Matrix Reloaded. It features the green scrolling text (or digital rain), that wraps around 3D representations of different characters from the series.

Mandatory arguments to long options are mandatory for short options too.

-C --color=COL
    Set color of the falling text. COL must be `green', `red' or `blue'.

-c --credits
    Show the credits on startup. This option will have no effect if used with --static.

-F --fs --fullscreen
    Run in fullscreen, when run from a terminal. Do not use with xscreensaver (see -root)

-f --fps[=SEC]
    Print FPS stats to the terminal every SEC seconds. SEC is clamped to the range [1,20] and defaults to 2 if not given. Note that the first few stats may be inaccurate due to startup delays.

-h --help
    Display a help message and exit.

-i --intensity=NUM
    Set the intensity of the digital rain to NUM. The default is 1, and NUM is clamped to the range [1,50]. The intensity effects the number of white nodes, the number of random character changes and the general speed of the rain.

-l --limit=LIM
    Limit the framerate to LIM fps, or as close to it as possible. The default is 32fps, and LIM is clamped to the range [1,200].

-s --static
    Enable static mode, which disables the display of 3D images. This mimics the style of the scrolling text from the original film.

-v --version
    Output version and author information and exit.

--root
    Attach to the root window for xscreensaver. This option is set by default (see xscreensaver-demo > Matrixgl > Settings > Advanced.)

Note: Long options may be passed with a single dash.

KEYS
The following keys can be used while in the screensaver**

c   View credits

s   Toggle static mode (3D)

n   Show next image

p   Pause screensaver

q   Quit screensaver

**Note: Under xscreensaver, matrixgl will be killed before it receives input. Therefore, these keys only apply when you run matrixgl from a terminal, or when using a different screensaver manager (like the ones shipped with KDE or GNOME.)

AUTHORS
Written by Alexander Zolotov <nightradio@gmail.com> 2003
      and Eugene Zolotov <sentinel@knoppix.ru> 2003
Modified by Vincent Launchbury <vincent@doublecreations.com> 2008-2014

REPORTING BUGS
Report matrixgl bugs to <vincent@doublecreations.com>
Bugs may also be reported using the sourceforge tracker system.

We have a script that generates a bug report for you. See README for details.

COPYRIGHT
Copyright (C) 2003 Alexander Zolotov, Eugene Zolotov
Copyright (C) 2008, 2009, 2010, 2011, 2012, 2013, 2014 Vincent Launchbury

License: GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
Project summary: <http://www.sf.net/projects/matrixgl/>.
Project Website: <http://www.doublecreations.com/projects/matrixgl/>.
Original Project: <http://knoppix.ru/matrixgl.shtml#english>.